Package org.apache.cxf.configuration.blueprint

# Class AbstractBPBeanDefinitionParser

java.lang.Object
org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser

Direct Known Subclasses:
  `BusDefinitionParser`, `SimpleBPBeanDefinitionParser`

public abstract class AbstractBPBeanDefinitionParser extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AbstractBPBeanDefinitionParser.JAXBBeanFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBPBeanDefinitionParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.aries.blueprint.mutable.MutableBeanMetadata`
  `createObjectOfClass(org.apache.aries.blueprint.ParserContext context, String value)`
  `static org.apache.aries.blueprint.PassThroughMetadata`
  `createPassThrough(org.apache.aries.blueprint.ParserContext context, Object value)`
  `static org.osgi.service.blueprint.reflect.RefMetadata`
  `createRef(org.apache.aries.blueprint.ParserContext context, String value)`
  `static org.osgi.service.blueprint.reflect.ValueMetadata`
  `createValue(org.apache.aries.blueprint.ParserContext context, String value)`
  `org.osgi.service.blueprint.reflect.Metadata`
  `createValue(org.apache.aries.blueprint.ParserContext context, QName qName)`
  `protected org.apache.aries.blueprint.mutable.MutableBeanMetadata`
  `getBus(org.apache.aries.blueprint.ParserContext context, String name)`
  `protected org.osgi.service.blueprint.reflect.RefMetadata`
  `getBusRef(org.apache.aries.blueprint.ParserContext context, String name)`
  `protected JAXBContext`
  `getContext(Class<?> cls)`
  `protected boolean`
  `hasBusProperty()`
  `protected boolean`
  `isAttribute(String pre, String name)`
  `protected boolean`
  `isNamespace(String name, String prefix)`
  `protected void`
  `mapAttribute(org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element e, String name, String val, org.apache.aries.blueprint.ParserContext context)`
  `protected void`
  `mapElement(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element el, String name)`
  `protected void`
  `mapElementToJaxbProperty(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element data, String propertyName, Class<?> c)`
  `protected void`
  `mapElementToJaxbProperty(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element parent, QName name, String propertyName, Class<?> c)`
  `protected void`
  `mapToProperty(org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String propertyName, String val, org.apache.aries.blueprint.ParserContext context)`
  `protected boolean`
  `parseAttributes(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean)`
  `protected void`
  `parseChildElements(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean)`
  `protected org.osgi.service.blueprint.reflect.Metadata`
  `parseListData(org.apache.aries.blueprint.ParserContext context, org.osgi.service.blueprint.reflect.ComponentMetadata enclosingComponent, Element element)`
  `protected org.osgi.service.blueprint.reflect.Metadata`
  `parseMapData(org.apache.aries.blueprint.ParserContext context, org.osgi.service.blueprint.reflect.ComponentMetadata enclosingComponent, Element element)`
  `QName`
  `parseQName(Element element, String t)`
  `protected void`
  `processBusAttribute(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String val)`
  `protected void`
  `processNameAttribute(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String val)`
  `protected void`
  `setFirstChildAsProperty(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String propertyName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBPBeanDefinitionParser

    public AbstractBPBeanDefinitionParser()

- ## Method Details

  - ### hasBusProperty

    protected boolean hasBusProperty()

  - ### createValue

    public org.osgi.service.blueprint.reflect.Metadata createValue(org.apache.aries.blueprint.ParserContext context, QName qName)

  - ### parseListData

    protected org.osgi.service.blueprint.reflect.Metadata parseListData(org.apache.aries.blueprint.ParserContext context, org.osgi.service.blueprint.reflect.ComponentMetadata enclosingComponent, Element element)

  - ### parseMapData

    protected org.osgi.service.blueprint.reflect.Metadata parseMapData(org.apache.aries.blueprint.ParserContext context, org.osgi.service.blueprint.reflect.ComponentMetadata enclosingComponent, Element element)

  - ### setFirstChildAsProperty

    protected void setFirstChildAsProperty(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String propertyName)

  - ### parseQName

    public QName parseQName(Element element, String t)

  - ### parseAttributes

    protected boolean parseAttributes(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean)

  - ### processBusAttribute

    protected void processBusAttribute(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String val)

  - ### processNameAttribute

    protected void processNameAttribute(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String val)

  - ### mapAttribute

    protected void mapAttribute(org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element e, String name, String val, org.apache.aries.blueprint.ParserContext context)

  - ### isAttribute

    protected boolean isAttribute(String pre, String name)

  - ### isNamespace

    protected boolean isNamespace(String name, String prefix)

  - ### mapElement

    protected void mapElement(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element el, String name)

  - ### mapToProperty

    protected void mapToProperty(org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, String propertyName, String val, org.apache.aries.blueprint.ParserContext context)

  - ### createValue

    public static org.osgi.service.blueprint.reflect.ValueMetadata createValue(org.apache.aries.blueprint.ParserContext context, String value)

  - ### createRef

    public static org.osgi.service.blueprint.reflect.RefMetadata createRef(org.apache.aries.blueprint.ParserContext context, String value)

  - ### createPassThrough

    public static org.apache.aries.blueprint.PassThroughMetadata createPassThrough(org.apache.aries.blueprint.ParserContext context, Object value)

  - ### createObjectOfClass

    public static org.apache.aries.blueprint.mutable.MutableBeanMetadata createObjectOfClass(org.apache.aries.blueprint.ParserContext context, String value)

  - ### getBus

    protected org.apache.aries.blueprint.mutable.MutableBeanMetadata getBus(org.apache.aries.blueprint.ParserContext context, String name)

  - ### getBusRef

    protected org.osgi.service.blueprint.reflect.RefMetadata getBusRef(org.apache.aries.blueprint.ParserContext context, String name)

  - ### parseChildElements

    protected void parseChildElements(Element element, org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean)

  - ### mapElementToJaxbProperty

    protected void mapElementToJaxbProperty(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element parent, QName name, String propertyName, Class<?> c)

  - ### mapElementToJaxbProperty

    protected void mapElementToJaxbProperty(org.apache.aries.blueprint.ParserContext ctx, org.apache.aries.blueprint.mutable.MutableBeanMetadata bean, Element data, String propertyName, Class<?> c)

  - ### getContext

    protected JAXBContext getContext(Class<?> cls)